org.apache.ignite.internal.binary

## Class BinarySchemaRegistry

- java.lang.Object
- - org.apache.ignite.internal.binary.BinarySchemaRegistry

    public class BinarySchemaRegistry
    extends Object

Binary schema registry. Contains all well-known object schemas.

We rely on the fact that usually object has only few different schemas. For this reason we inline several of them with optional fallback to normal hash map lookup.

### Constructor Summary

Constructors
Constructor and Description
`BinarySchemaRegistry()`

### Method Summary

Methods
`void` `addSchema(int schemaId, BinarySchema schema)` Add schema.
`BinarySchema` `schema(int schemaId)` Get schema for the given ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinarySchemaRegistry

    public BinarySchemaRegistry()

### Method Detail

#### schema

    @Nullable
    public BinarySchema schema(int schemaId)

Get schema for the given ID. We rely on very relaxed memory semantics here assuming that it is not critical to return false-positive `null` values.

Parameters:
  `schemaId` - Schema ID.
Returns:
  Schema or `null`.

#### addSchema

    public void addSchema(int schemaId,
                 BinarySchema schema)

Add schema.

Parameters:
  `schemaId` - Schema ID.
  `schema` - Schema.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015